%{!?upstream_version: %global upstream_version %{commit}}
%define upstream_name puppet-timezone
%global commit cf62f1bb34c2704afac9e2d37244bbf0c6b3ac95
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# DO NOT REMOVE ALPHATAG
%global alphatag .%{shortcommit}git


Name:           puppet-timezone
Version:        3.3.0
Release:        3%{?alphatag}%{?dist}
Summary:        Manage timezone settings via Puppet.
License:        Apache License, Version 2.0

URL:            https://github.com/saz/puppet-timezone

Source0:        https://github.com/saz/%{upstream_name}/archive/%{commit}.tar.gz#/%{upstream_name}-%{shortcommit}.tar.gz

#patches_ignore=DROP-IN-RPM
#patches_base=cf62f1bb34c2704afac9e2d37244bbf0c6b3ac95
Patch0001: 0001-Followed-links-when-creating-timezone-file.patch
Patch0002: 0002-Fix-etc-localtime-to-be-an-actual-symlink.patch

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet >= 2.7.0

%description
Manage timezone settings via Puppet.

%prep
%setup -q -n %{name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/timezone/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/timezone/



%files
%{_datadir}/openstack-puppet/modules/timezone/


%changelog
* Thu Oct 18 2018 Alex Schultz <aschultz@redhat.com> 3.3.0-3.cf62f1b.git
- Fix /etc/localtime to be an actual symlink (rhbz#1635914)

* Mon Jul 09 2018 Steve Linabery <slinaber@redhat.com> 3.3.0-2.cf62f1b.git
- Followed links when creating timezone file. (rhbz#1543724)

* Tue Sep 20 2016 Haikel Guemar <hguemar@fedoraproject.org> - 3.3.0-1.cf62f1b.git
- Newton update 3.3.0 (cf62f1bb34c2704afac9e2d37244bbf0c6b3ac95)


